﻿
using HeuristicLab.Algorithms.GeneticAlgorithm;
using HeuristicLab.Persistence.Default.Xml;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace AutoDiffForDynamicalModelsTest {
  [TestClass]
  public class TestGA {
    [TestMethod]
    public void TestGAExecution() {
      var ga = XmlParser.Deserialize<GeneticAlgorithm>("Genetic Algorithm (GA).hl");
      var prob = (HeuristicLab.Problems.DynamicalSystemsModelling.Problem)ga.Problem;
      prob.OdeSolver = "CVODES";
      ga.Prepare();
      ga.Start();
    }
  }
}
